View Issue Details

IDProjectCategoryView StatusLast Update
0000175Rocky-Linux-9Generalpublic2022-08-09 00:18
Reporterjust someone Assigned ToLouis Abel  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Summary0000175: Differance between RedHat softwareOptioins and rocky 9
Descriptioni will list the options for redhat 9 and will add comment for each option is missing for rocky 9
also Notice the order of the software options in rocky is not the same as rhel 9 so the following is the order as in rhel 9
and the order of Environment is not the same so again the following is the order as in rhel 9

A) Server with Gui Environment in redhat 9 it has the following additional software options

     1) Debugging Tools (missing)
     2) DNS Name Server (missing)
     3) File and Storage Server (missing)
     4) FTP Server (missing)
     5) Guests Agents (missing)
     6) Infiniband Support (missing)
     7) Mail Server (missing)
     8) Network File System Client (missing)
     9) Network Servers
   10) Performance Tools (missing)
   11) Remote Desktop Clients (missing)
   12) Remote Management for Linux (missing)
   13) Windows File Server (missing)
   14) Virtualization Clients (missing)
   15) Virtualization Hypervisor (missing)
   16) Virtualization Tools (missing)
   17) Basic Web Server (missing)
   18) Legacy Unix Compatibility
   19) Console Internet Tools
   20) Container Management
   21) Development Tools
   22) .Net Development
   23) Graphical Administration Tools
   24) Headless Management
   25) RPM Development Tools
   26) Scientific Support
   27) Security Tools
   28) Smart Card Support
   29) System Tools



B) Server Environment in redhat 9 it has the following additional software options
   
     1) Debugging Tools (missing)
     2) DNS Name Server (missing)
     3) File and Storage Server (missing)
     4) FTP Server (missing)
     5) GNOME (missing)
     6) Guests Agents (missing)
     7) Hardware Monitoring Utilities (missing)
     8) Infiniband Support (missing)
     9) Mail Server (missing)
   10) Network File System Client (missing)
   11) Network Servers
   12) Performance Tools (missing)
   13) Remote Management for Linux (missing)
   14) Windows File Server (missing)
   15) Virtualization Hypervisor (missing)
   16) Basic Web Server (missing)
   17) Legacy Unix Compatibility
   18) Console Internet Tools
   19) Container Management
   20) Development Tools
   21) .Net Development
   22) Graphical Administration Tools
   23) Headless Management
   24) RPM Development Tools
   25) Scientific Support
   26) Security Tools
   27) Smart Card Support
   28) System Tools

C) Minimal Install Environment in redhat 9 it has the following additional software options

     1) Guests Agents (missing)
     2) Standard (missing)
     3) Legacy Unix Compatibility
     4) Console Internet Tools
     5) Container Management
     6) Development Tools
     7) .Net Development
     8) Graphical Administration Tools
     9) Headless Management
   10) Network Servers
   11) RPM Development Tools
   12) Scientific Supports
   13) Security Tools
   14) Smart Card Support
   15) System Tools

D) Workstation Environment in redhat 9 it has the following additional software options

     1) Backup Client (missing)
     2) GNOME Applications (missing)
     3) Headless Management
     4) Internet Applications (missing)
     5) Office Suite and Productivity (missing)
     6) Remote Desktop Clients (missing)
     7) Smart Card Support
     8) Legacy Unix Compatibility
     9) Console Internet Tools
   10) Container Management
   11) Development Tools
   12) .Net Development
   13) Graphical Administration Tools
   14) Network Servers
   15) RPM Development Tools
   16) Scientific Supports
   17) Security Tools
   18) System Tools

E) Custom Operating System Environment in redhat 9 it has the following additional software options

     1) Guests Agents (missing)
     2) Standard (missing)
     3) Legacy Unix Compatibility
     4) Console Internet Tools
     5) Container Management
     6) Development Tools
     7) .Net Development
     8) Graphical Administration Tools
     9) Headless Management
   10) Network Servers
   11) RPM Development Tools
   12) Scientific Support
   13) Security Tools
   14) Smart Card Support
   15) System Tools


F) Virtualization Host Environment in redhat 9 it has the following additional software options

     1) Debugging Tools (missing)
     2) Network File System Client (missing)
     3) Remote Management for Linux (missing)
     4) Virtualization Platform (missing)
     5) Legacy Unix Compatibility
     6) Console Internet Tools
     7) Container Management
     8) Development Tools
     9) .Net Development
   10) Graphical Administration Tools
   11) Headless Management
   12) Network Servers
   13) RPM Development Tools
   14) Scientific Support
   15) Security Tools
   16) Smart Card Support
   17) System Tools

thanks for your great work and hope that help and have a nice day :)
Steps To Reproduceinstall rocky 9 on X86-x64 system using this image
https://download.rockylinux.org/pub/rocky/9/isos/x86_64/Rocky-9.0-x86_64-dvd.iso

Additional Informationi did not check this with other arch but i think the issue will be for them all
Tagsanacoda

Activities

Mustafa Gezen

Mustafa Gezen

2022-08-04 11:08

manager   ~0000321

Last edited: 2022-08-04 11:08

Thanks for reporting this.
We fixed this in comps2peridot in this commit https://github.com/rocky-linux/peridot-releng/commit/9e91db39a162101763389636cd91728561970be6
The catalog configuration was updated in this commit https://git.rockylinux.org/rocky/peridot-rocky/-/commit/5f08036ffd99552be3461f78c05acf573fade4df

The fix is already available in yumrepofs:
https://yumrepofs.build.resf.org/v1/projects/55b17281-bc54-4929-8aca-a8a11d628738/repo/hashed-BaseOS/$arch
https://yumrepofs.build.resf.org/v1/projects/55b17281-bc54-4929-8aca-a8a11d628738/repo/hashed-AppStream/$arch

It will be generally available during the next update cycle, which should be very soon. I'll leave this issue open until the fix lands in production.
just someone

just someone

2022-08-04 13:26

reporter   ~0000322

elslamo alikom Mustafa

thanks for the great work and have a nice day :)
Louis Abel

Louis Abel

2022-08-09 00:18

administrator   ~0000329

The below are new images issued that address this bug report.

https://dl.rockylinux.org/pub/rocky/9/isos/x86_64/Rocky-9.0-20220808.0-x86_64-dvd.iso
https://dl.rockylinux.org/pub/rocky/9/isos/aarch64/Rocky-9.0-20220808.0-aarch64-dvd.iso
https://dl.rockylinux.org/pub/rocky/9/isos/ppc64le/Rocky-9.0-20220808.0-ppc64le-dvd.iso
https://dl.rockylinux.org/pub/rocky/9/isos/s390x/Rocky-9.0-20220808.0-s390x-dvd.iso

The below are symlinks to the latest image at any given time, primarily for osinfo purposes. But is available for everyone to use if they see fit.

https://dl.rockylinux.org/pub/rocky/9/isos/x86_64/Rocky-x86_64-dvd.iso
https://dl.rockylinux.org/pub/rocky/9/isos/aarch64/Rocky-aarch64-dvd.iso
https://dl.rockylinux.org/pub/rocky/9/isos/ppc64le/Rocky-ppc64le-dvd.iso
https://dl.rockylinux.org/pub/rocky/9/isos/s390x/Rocky-s390x-dvd.iso

We've also added a script to our toolkit to aid us in the proper creation of the comps/groups going forward.

Issue History

Date Modified Username Field Change
2022-08-03 16:52 just someone New Issue
2022-08-03 16:52 just someone Tag Attached: anacoda
2022-08-04 11:08 Mustafa Gezen Note Added: 0000321
2022-08-04 11:08 Mustafa Gezen Note Edited: 0000321
2022-08-04 13:26 just someone Note Added: 0000322
2022-08-09 00:18 Louis Abel Assigned To => Louis Abel
2022-08-09 00:18 Louis Abel Status new => resolved
2022-08-09 00:18 Louis Abel Resolution open => fixed
2022-08-09 00:18 Louis Abel Note Added: 0000329